Cf. http://blog.blackdown.de/2007/11/15/compiz-patches/

Fix gconf/ccsm shadow offsets and radius.

Signed-off-by: Juergen Kreileder <jk@blackdown.de>

diff -ur /home/jk/compiz-0.6.2+git20071101.orig/metadata/compiz-decoration.schemas compiz-0.6.2+git20071101/metadata/compiz-decoration.schemas
--- /home/jk/compiz-0.6.2+git20071101.orig/metadata/compiz-decoration.schemas	2007-10-29 16:43:13.000000000 +0100
+++ compiz-0.6.2+git20071101/metadata/compiz-decoration.schemas	2007-11-14 19:49:01.000000000 +0100
@@ -9,75 +9,75 @@
       <default>8.0</default>
       <locale name="C">
         <short>Shadow Radius</short>
-        <long>Drop shadow radius (0.1 - 18.0)</long>
+        <long>Drop shadow radius (0.1 - 48.0)</long>
       </locale>
       <locale name="ca">
         <short>Radi de l'ombra</short>
-        <long>Radi de l'ombra descendent (0.1 - 18.0)</long>
+        <long>Radi de l'ombra descendent (0.1 - 48.0)</long>
       </locale>
       <locale name="cs">
         <short>Poloměr stínu</short>
-        <long>Poloměr vrženého stínu (0.1 - 18.0)</long>
+        <long>Poloměr vrženého stínu (0.1 - 48.0)</long>
       </locale>
       <locale name="da">
         <short>Skyggeradius</short>
-        <long>Slagskyggeradius (0.1 - 18.0)</long>
+        <long>Slagskyggeradius (0.1 - 48.0)</long>
       </locale>
       <locale name="de">
         <short>Schattenradius</short>
-        <long>Drop-Shadow-Radius (0.1 - 18.0)</long>
+        <long>Drop-Shadow-Radius (0.1 - 48.0)</long>
       </locale>
       <locale name="es">
         <short>Radio de la sombra</short>
-        <long>Desechar radio de la sombra (0.1 - 18.0)</long>
+        <long>Desechar radio de la sombra (0.1 - 48.0)</long>
       </locale>
       <locale name="fi">
         <short>Varjon säde</short>
-        <long>Hylkää varjon säde (0.1 - 18.0)</long>
+        <long>Hylkää varjon säde (0.1 - 48.0)</long>
       </locale>
       <locale name="fr">
         <short>Rayon de l'ombre</short>
-        <long>Rayon de l'ombre des gouttes (0.1 - 18.0)</long>
+        <long>Rayon de l'ombre des gouttes (0.1 - 48.0)</long>
       </locale>
       <locale name="hu">
         <short>Árnyék átmérője</short>
-        <long>Árnyék átmérője (0.1 - 18.0)</long>
+        <long>Árnyék átmérője (0.1 - 48.0)</long>
       </locale>
       <locale name="it">
         <short>Raggio ombreggiatura</short>
-        <long>Raggio ombreggiatura esterna (0.1 - 18.0)</long>
+        <long>Raggio ombreggiatura esterna (0.1 - 48.0)</long>
       </locale>
       <locale name="ja">
         <short>シャドウ半径</short>
-        <long>シャドウ半径を無視 (0.1 - 18.0)</long>
+        <long>シャドウ半径を無視 (0.1 - 48.0)</long>
       </locale>
       <locale name="pl">
         <short>Promień cienia</short>
-        <long>Promień cienia (0.1 - 18.0)</long>
+        <long>Promień cienia (0.1 - 48.0)</long>
       </locale>
       <locale name="pt">
         <short>Raio da Sombra</short>
-        <long>Drop shadow radius (0.1 - 18.0)</long>
+        <long>Drop shadow radius (0.1 - 48.0)</long>
       </locale>
       <locale name="pt_BR">
         <short>Raio da Sombra</short>
-        <long>Descartar o raio da sombra (0.1 - 18.0)</long>
+        <long>Descartar o raio da sombra (0.1 - 48.0)</long>
       </locale>
       <locale name="ru">
         <short>Радиус тени</short>
-        <long>Радиус отбрасываемой тени (0.1 - 18.0)</long>
+        <long>Радиус отбрасываемой тени (0.1 - 48.0)</long>
       </locale>
       <locale name="sv">
         <short>Skuggradie</short>
-        <long>Radie för skuggkastning (0.1 - 18.0)</long>
+        <long>Radie för skuggkastning (0.1 - 48.0)</long>
       </locale>
       <locale name="zh_CN">
         <short>阴影半径</short>
-        <long>减小阴影半径 (0.1 - 18.0)</long>
+        <long>减小阴影半径 (0.1 - 48.0)</long>
       </locale>
       <locale name="zh_TW">
         <short>陰影半徑</short>
-        <long>投影半徑 (0.1 - 18.0)</long>
+        <long>投影半徑 (0.1 - 48.0)</long>
       </locale>
     </schema>
     <schema>
@@ -175,8 +175,8 @@
       </locale>
     </schema>
     <schema>
-      <key>/schemas/apps/compiz/plugins/decoration/allscreens/options/shadow_x_offset</key>
-      <applyto>/apps/compiz/plugins/decoration/allscreens/options/shadow_x_offset</applyto>
+      <key>/schemas/apps/compiz/plugins/decoration/allscreens/options/shadow_offset_x</key>
+      <applyto>/apps/compiz/plugins/decoration/allscreens/options/shadow_offset_x</applyto>
       <owner>compiz</owner>
       <type>int</type>
       <default>1</default>
@@ -254,8 +254,8 @@
       </locale>
     </schema>
     <schema>
-      <key>/schemas/apps/compiz/plugins/decoration/allscreens/options/shadow_y_offset</key>
-      <applyto>/apps/compiz/plugins/decoration/allscreens/options/shadow_y_offset</applyto>
+      <key>/schemas/apps/compiz/plugins/decoration/allscreens/options/shadow_offset_y</key>
+      <applyto>/apps/compiz/plugins/decoration/allscreens/options/shadow_offset_y</applyto>
       <owner>compiz</owner>
       <type>int</type>
       <default>1</default>
diff -ur /home/jk/compiz-0.6.2+git20071101.orig/metadata/decoration.xml compiz-0.6.2+git20071101/metadata/decoration.xml
--- /home/jk/compiz-0.6.2+git20071101.orig/metadata/decoration.xml	2007-10-29 16:43:07.000000000 +0100
+++ compiz-0.6.2+git20071101/metadata/decoration.xml	2007-11-14 19:59:13.000000000 +0100
@@ -85,7 +85,7 @@
 		<long xml:lang="zh_TW">投影半徑</long>
 		<default>8.0</default>
 		<min>0.1</min>
-		<max>18.0</max>
+		<max>48.0</max>
 		<precision>0.1</precision>
 	    </option>
 	    <option type="float" name="shadow_opacity">
@@ -135,7 +135,7 @@
 		<long>Drop shadow color</long>
 		<long xml:lang="sv">Färg för skuggkastning</long>
 	    </option>
-	    <option type="int" name="shadow_x_offset">
+	    <option type="int" name="shadow_offset_x">
 		<short>Shadow Offset X</short>
 		<short xml:lang="ca">Desplaçament en X de l'ombra</short>
 		<short xml:lang="cs">Posun stínu X</short>
@@ -175,7 +175,7 @@
 		<min>-16</min>
 		<max>16</max>
 	    </option>
-	    <option type="int" name="shadow_y_offset">
+	    <option type="int" name="shadow_offset_y">
 		<short>Shadow Offset Y</short>
 		<short xml:lang="ca">Desplaçament en Y de l'ombra</short>
 		<short xml:lang="cs">Posun stínu Y</short>
@@ -288,4 +288,4 @@
 	    </option>
 	</display>
     </plugin>
-</compiz>
\ No newline at end of file
+</compiz>
diff -ur /home/jk/compiz-0.6.2+git20071101.orig/metadata/decoration.xml.in compiz-0.6.2+git20071101/metadata/decoration.xml.in
--- /home/jk/compiz-0.6.2+git20071101.orig/metadata/decoration.xml.in	2007-09-16 12:43:54.000000000 +0200
+++ compiz-0.6.2+git20071101/metadata/decoration.xml.in	2007-11-14 19:59:33.000000000 +0100
@@ -17,7 +17,7 @@
 		<_long>Drop shadow radius</_long>
 		<default>8.0</default>
 		<min>0.1</min>
-		<max>18.0</max>
+		<max>48.0</max>
 		<precision>0.1</precision>
 	    </option>
 	    <option name="shadow_opacity" type="float">
@@ -32,14 +32,14 @@
 		<_short>Shadow Color</_short>
 		<_long>Drop shadow color</_long>
 	    </option>
-	    <option name="shadow_x_offset" type="int">
+	    <option name="shadow_offset_x" type="int">
 		<_short>Shadow Offset X</_short>
 		<_long>Drop shadow X offset</_long>
 		<default>1</default>
 		<min>-16</min>
 		<max>16</max>
 	    </option>
-	    <option name="shadow_y_offset" type="int">
+	    <option name="shadow_offset_y" type="int">
 		<_short>Shadow Offset Y</_short>
 		<_long>Drop shadow Y offset</_long>
 		<default>1</default>
diff -ur /home/jk/compiz-0.6.2+git20071101.orig/plugins/decoration.c compiz-0.6.2+git20071101/plugins/decoration.c
--- /home/jk/compiz-0.6.2+git20071101.orig/plugins/decoration.c	2007-10-19 12:29:17.000000000 +0200
+++ compiz-0.6.2+git20071101/plugins/decoration.c	2007-11-14 19:49:01.000000000 +0100
@@ -1288,8 +1288,8 @@
     { "shadow_radius", "float", "<min>0.0</min><max>48.0</max>", 0, 0 },
     { "shadow_opacity", "float", "<min>0.0</min>", 0, 0 },
     { "shadow_color", "color", 0, 0, 0 },
-    { "shadow_x_offset", "int", "<min>-16</min><max>16</max>", 0, 0 },
-    { "shadow_y_offset", "int", "<min>-16</min><max>16</max>", 0, 0 },
+    { "shadow_offset_x", "int", "<min>-16</min><max>16</max>", 0, 0 },
+    { "shadow_offset_y", "int", "<min>-16</min><max>16</max>", 0, 0 },
     { "command", "string", 0, 0, 0 },
     { "mipmap", "bool", 0, 0, 0 },
     { "decoration_match", "match", 0, 0, 0 },
=
